Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ServiceBinding

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EJBPABinding, SOAPPABRBinding, WSBinding, WSFADBinding

    public interface ServiceBinding

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Binding'. [[ TODO - add documentation here ]]

The following features are supported:

- `Cod Binding`
- `Channel Security Level`

See Also:
  `ServicedefPackage.getServiceBinding()`

Method Summary
`ChannelSecurityLevelEnum` | `getChannelSecurityLevel()` Returns the value of the 'Channel Security Level' attribute.
`java.lang.String` | `getCodBinding()` Returns the value of the 'Cod Binding' attribute
`void` | `setChannelSecurityLevel(ChannelSecurityLevelEnum value)` Sets the value of the '`Channel Security Level`' attribute
`void` | `setCodBinding(java.lang.String value)` Sets the value of the '`Cod Binding`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCodBinding

    java.lang.String getCodBinding()

  Returns the value of the 'Cod Binding' attribute.

  If the meaning of the 'Cod Binding' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Cod Binding' attribute.
  See Also:
    `setCodBinding(String)`, `ServicedefPackage.getServiceBinding_CodBinding()`

### setCodBinding

    void setCodBinding(java.lang.String value)

  Sets the value of the '`Cod Binding`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Binding' attribute.
  See Also:
    `getCodBinding()`

### getChannelSecurityLevel

    ChannelSecurityLevelEnum getChannelSecurityLevel()

  Returns the value of the 'Channel Security Level' attribute. The default value is `"A0"`. The literals are from the enumeration `ChannelSecurityLevelEnum`.

  Livello di securizzazione di canale per il binding.

  - C0: il canale è in chiaro
  - C1: il canale è cifrato, senza client authentication
  - C2: il canale è cifrato, con client authentication

  Returns:
    the value of the 'Channel Security Level' attribute.
  See Also:
    `ChannelSecurityLevelEnum`, `setChannelSecurityLevel(ChannelSecurityLevelEnum)`, `ServicedefPackage.getServiceBinding_ChannelSecurityLevel()`

### setChannelSecurityLevel

    void setChannelSecurityLevel(ChannelSecurityLevelEnum value)

  Sets the value of the '`Channel Security Level`' attribute.

  Parameters:
    `value` - the new value of the 'Channel Security Level' attribute.
  See Also:
    `ChannelSecurityLevelEnum`, `getChannelSecurityLevel()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD